Skip to main content
POST
/
schedule
/
v1
/
vacation-configurations
Creates a new vacation configuration
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/vacation-configurations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dayType": "business_day",
  "pickMode": "by_days",
  "creationDateNextYear": "<string>",
  "needsValidation": true,
  "employeeRequestDenyExcessDaysOff": true,
  "hoursQuantityConfigured": true,
  "allowFreeHoursSelection": true,
  "employeeRequestEnabled": true,
  "configurationType": "max_days",
  "requestVacationFrom": "<string>",
  "renewalPeriod": "working_year",
  "maxDaysOff": 123,
  "maxDateToTakeVacations": 123,
  "halfDayVacationConfiguration": "weekly_average",
  "enjoyMonthPeriod": 123,
  "notAllowedDateRanges": [
    {
      "from": "<string>",
      "to": "<string>"
    }
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "employeeRequestEnabled": true,
    "needsValidation": true,
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "notificationEmail": "jsmith@example.com",
      "language": "<string>",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    },
    "dayType": "business_day",
    "maxDaysOff": 123,
    "isDefault": true,
    "notAllowedDateRanges": [
      {
        "from": "<string>",
        "to": "<string>"
      }
    ],
    "creationDateNextYear": "<string>",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "deletedAt": "<string>"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json
name
string
required
dayType
enum<string>
required
Available options:
business_day,
calendar_day
pickMode
enum<string>
required
Available options:
by_days,
by_time_range
creationDateNextYear
string
required
needsValidation
boolean
required
employeeRequestDenyExcessDaysOff
boolean
required
hoursQuantityConfigured
boolean
required
allowFreeHoursSelection
boolean
required
employeeRequestEnabled
boolean
required
configurationType
enum<string>
required
Available options:
max_days,
seniority_days,
unlimited_days
requestVacationFrom
string<Y-m>
renewalPeriod
enum<string>
Available options:
working_year,
calendar_year,
each_month
maxDaysOff
number<integer>
maxDateToTakeVacations
number<integer>
halfDayVacationConfiguration
enum<string>
Available options:
weekly_average,
daily_average
enjoyMonthPeriod
number<integer>
notAllowedDateRanges
object[]

Response

200 - application/json

Array of Objects

data
object
meta
object